# QPrintEngine Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPrintEngine()

### Constructor Properties

- prototype: The QPrintEngine prototype object
- PPK_CollateCopies
- PPK_ColorMode
- PPK_Creator
- PPK_DocumentName
- PPK_FullPage
- PPK_NumberOfCopies
- PPK_Orientation
- PPK_OutputFileName
- PPK_PageOrder
- PPK_PageRect
- PPK_PageSize
- PPK_PaperRect
- PPK_PaperSource
- PPK_PrinterName
- PPK_PrinterProgram
- PPK_Resolution
- PPK_SelectionOption
- PPK_SupportedResolutions
- PPK_WindowsPageSize
- PPK_FontEmbedding
- PPK_SuppressSystemPrintStatus
- PPK_Duplex
- PPK_PaperSources
- PPK_CustomPaperSize
- PPK_PageMargins
- PPK_CopyCount
- PPK_SupportsMultipleCopies
- PPK_CustomBase = 0xff00
- PrintEnginePropertyKey( value )

### Prototype Object Properties

- bool abort()
- int metric(PaintDeviceMetric arg__1)
- bool newPage()
- PrinterState printerState()
- Object property(PrintEnginePropertyKey key)
- void setProperty(PrintEnginePropertyKey key, Object value)

### Instance Properties

QPrintEngine objects have no special properties beyond those inherited from the QPrintEngine prototype object.